Blacklisted numbers
Use the filter query parameter to retrieve just a subset of a collection.
Use the search query parameter to restrict the results of a request to match a search criterion.
Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.
Use the skip query parameter to set the number of items to skip at the start of a collection.
0Use the top query parameter to specify the page size of the result set.
100OK
Total number of resource.
100Error
GET /api/blacklisted_numbers HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"count": 100,
"items": [
{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw",
"number": "text",
"expire_at": "2017-07-21T17:32:28Z",
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:32:28Z",
"description": "text"
}
]
}An alphanumeric sequence beginning with an optional plus sign.
The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
2017-07-21T17:32:28ZRemarks for the blacklisted number.
Created
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwError
POST /api/blacklisted_numbers HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73
{
"number": "text",
"expire_at": "2017-07-21T17:32:28Z",
"description": "text"
}{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw"
}The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwOK
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwAn alphanumeric sequence beginning with an optional plus sign.
The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
2017-07-21T17:32:28ZThe RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
2017-07-21T17:32:28ZThe RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
2017-07-21T17:32:28ZRemarks for the blacklisted number.
Error
GET /api/blacklisted_numbers/{id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw",
"number": "text",
"expire_at": "2017-07-21T17:32:28Z",
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:32:28Z",
"description": "text"
}The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwAn alphanumeric sequence beginning with an optional plus sign.
The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
2017-07-21T17:32:28ZRemarks for the blacklisted number.
OK
No content
Error
POST /api/blacklisted_numbers/{id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73
{
"number": "text",
"expire_at": "2017-07-21T17:32:28Z",
"description": "text"
}No content
Was this helpful?